##
##  portfwd.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         portfwd
Summary:      TCP/UDP Port Forwarding Daemon
URL:          http://portfwd.sf.net/
Vendor:       Everton da Silva Marques
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Network
License:      GPL
Version:      0.26rc3
Release:      20021204

#   list of sources
Source0:      http://osdn.dl.sourceforge.net/sourceforge/portfwd/portfwd-%{version}.tar.gz
Source1:      portfwd.cfg
Source2:      rc.portfwd
Source3:      fsl.portfwd

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20021204, fsl, gcc, make, flex
PreReq:       OpenPKG, openpkg >= 20021204, fsl
AutoReq:      no
AutoReqProv:  no

%description
    Portfwd is a port forwarding daemon which forwards incoming TCP
    connections and/or UDP datagrams to remote hosts. There is support for
    FTP forwarding, transparent proxy, DNS on demand, simple round-robin
    load-balacing, external destination selectors and other minor features.

%prep
    %setup -q
    rm -f config/install-sh
    rm -f config/missing
    echo "#!/bin/sh" >config/install-sh
    echo "#!/bin/sh" >config/missing
    chmod a+x config/missing config/install-sh

%build
    CC="%{l_cc}" \
    CXX="%{l_cxx}" \
    CFLAGS="%{l_cflags -O}" \
    CXXFLAGS="%{l_cxxflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags} `%{l_prefix}/bin/fsl-config --all --ldflags --libs`" \
    ./configure \
        --prefix=%{l_prefix} \
        --sysconfdir=%{l_prefix}/etc/portfwd
    %{l_make} %{l_mflags -O}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/sbin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/portfwd \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d \
        $RPM_BUILD_ROOT%{l_prefix}/etc/fsl \
        $RPM_BUILD_ROOT%{l_prefix}/man/man8 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man5
    %{l_shtool} install -c -s -m 755 \
        src/portfwd $RPM_BUILD_ROOT%{l_prefix}/sbin/
    %{l_shtool} install -c -m 644 \
        doc/portfwd.8 $RPM_BUILD_ROOT%{l_prefix}/man/man8/
    %{l_shtool} install -c -m 644 \
        -e 's;conf.txt;portfwd.txt;g' \
        doc/portfwd.cfg.5 $RPM_BUILD_ROOT%{l_prefix}/man/man5/
    %{l_shtool} install -c -m 644 \
        -e 's;@l_nusr@;%{l_nusr};g' \
        -e 's;@l_ngrp@;%{l_ngrp};g' \
        %{SOURCE portfwd.cfg} $RPM_BUILD_ROOT%{l_prefix}/etc/portfwd/
    %{l_shtool} install -c -m 644 \
        doc/conf.txt $RPM_BUILD_ROOT%{l_prefix}/etc/portfwd/portfwd.txt
    %{l_shtool} install -c -m 644 \
        -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE rc.portfwd} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
    %{l_shtool} install -c -m 644 \
        -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE fsl.portfwd} $RPM_BUILD_ROOT%{l_prefix}/etc/fsl/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/portfwd/portfwd.cfg' \
        '%config %{l_prefix}/etc/fsl/fsl.portfwd' \
        '%not %dir %{l_prefix}/etc/fsl'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

